import { Component, Input } from "@angular/core";
import { UrlListingItem } from "@app/shared/components/url-listing/UrlListingItem";

@Component({
    selector: 'app-url-listing',
    templateUrl: './url-listing.component.html'
})
export class UrlListingComponent {

    @Input()
    items: UrlListingItem[];

    @Input()
    urlLimit: number = 3;

    ngOnInit() {
        console.log(this.items.length > this.urlLimit)
    }
}