import { CheckBoxData } from '../../../models/DataField/CheckBoxData';
import { BooleanDecisionData } from '../../../models/DataField/BooleanDecisionData';
import { FormGroup } from '@angular/forms';
import { Component, Input, OnInit } from '@angular/core';
import { FormArray } from '@angular/forms';
import { Field } from '@app/models/datasetProfileAdmin/Field';

@Component({
    selector: 'checkbox-component',
    templateUrl: './checkbox-component.html'
})
export class CheckBoxComponent implements OnInit{
    @Input() dataModel: Field;
    @Input() form: FormGroup;
    private data:CheckBoxData = new CheckBoxData(); 
    
    ngOnInit(){
        this.form.addControl("data", this.data.buildForm());
    }
}