import { TextArea } from '../../../models/DataField/TextArea';
import { FreeTextData } from '../../../models/DataField/FreeTextData';
import { CheckBoxData } from '../../../models/DataField/CheckBoxData';
import { BooleanDecisionData } from '../../../models/DataField/BooleanDecisionData';
import { FormGroup } from '@angular/forms';
import { Component, Input, OnInit } from '@angular/core';
import { FormArray } from '@angular/forms';
import { Field } from '@app/models/datasetProfileAdmin/Field';

@Component({
    selector: 'textarea-component',
    templateUrl: './textarea-component.html'
})
export class TextAreaComponent implements OnInit{
    @Input() dataModel: Field;
    @Input() form: FormGroup;
    private data:TextArea = new TextArea(); 
    
    ngOnInit(){
        this.form.addControl("data", this.data.buildForm());
    }
}