import { TwitterLoginComponent } from './login/twitter-login/twitter-login.component';
import { LinkedInLoginComponent } from './login/linkedin-login/linkedin-login.component';
import { LoginComponent } from './login/login.component';
import { RouterModule, Routes } from '@angular/router';
import { AdminLoginComponent } from '@app/user-management/admin-login/admin-login.component';

const routes: Routes = [
    { path: 'login', component: LoginComponent },
    { path: 'login/admin', component: AdminLoginComponent },
    { path: 'login/linkedin', component: LinkedInLoginComponent },
    { path: 'login/twitter', component: TwitterLoginComponent }
];

export const LoginRoutes = RouterModule.forChild(routes);
