package eu.eudat.models.project;

import eu.eudat.data.entities.Project;
import eu.eudat.models.DataModel;

import java.util.UUID;


public class ProjectCriteriaModel implements DataModel<eu.eudat.data.entities.Project, ProjectCriteriaModel> {
    private UUID id;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @Override
    public ProjectCriteriaModel fromDataModel(Project entity) {
        this.id = entity.getId();
        return this;
    }

    @Override
    public Project toDataModel() {
        Project project = new Project();
        project.setId(this.id);
        return project;
    }

    @Override
    public String getHint() {
        return null;
    }
}
