package eu.eudat.services.operations;

import eu.eudat.builders.BuilderFactory;
import eu.eudat.proxy.fetching.RemoteFetcher;
import eu.eudat.services.helpers.FileStorageService;
import org.springframework.context.ApplicationContext;

/**
 * Created by ikalyvas on 3/1/2018.
 */
public interface OperationsContext {

    DatabaseRepository getDatabaseRepository();

    ApplicationContext getApplicationContext();

    BuilderFactory getBuilderFactory();

    RemoteFetcher getRemoteFetcher();

    FileStorageService getFileStorageService();

}
