import { AuthGuard } from '../guards/auth.guard';
import { DatasetWizardComponent } from './dataset-wizard/dataset-wizard.component';
import { DatasetListingComponent } from './listing/dataset-listing.component';
import { RouterModule, Routes } from '@angular/router';

export const DatasetRoutes: Routes = [
    { path: "new/:dmpId", component: DatasetWizardComponent, canActivate: [AuthGuard] },
    { path: "edit/:id", component: DatasetWizardComponent, canActivate: [AuthGuard] },
    { path: "new", component: DatasetWizardComponent, canActivate: [AuthGuard] },
    { path: '', component: DatasetListingComponent, canActivate: [AuthGuard] },
    { path: "dmp/:dmpId", component: DatasetListingComponent, canActivate: [AuthGuard] }
];
