import { AuthGuard } from '../guards/auth.guard';
import { RouterModule, Routes } from '@angular/router';
import { DataManagementPlanProfileListingComponent } from './dmp-profile-listing/dmp-profile-listing.component';
import { DataManagementPlanProfileEditorComponent } from './dmp-profile-editor/dmp-profile-editor.component';

export const DataManagementPlanProfileRoutes: Routes = [
    { path: '', component: DataManagementPlanProfileListingComponent, canActivate: [AuthGuard] },
    { path: 'new', component: DataManagementPlanProfileEditorComponent, canActivate: [AuthGuard] },
    { path: ':id', component: DataManagementPlanProfileEditorComponent, canActivate: [AuthGuard] },
];
