import { ProjectEditorComponent } from './editor/project-editor.component';
import { ProjectListingComponent } from './listing/project-listing.component';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
    { path: '', component: ProjectListingComponent },
    { path: 'edit/:id', component: ProjectEditorComponent },
    { path: 'new', component: ProjectEditorComponent },
];

export const ProjectRoutes = RouterModule.forChild(routes);
