import { LoginService } from '../../utilties/login-service';
import { Component, OnInit } from '@angular/core'
import { Router, ActivatedRoute, Params } from '@angular/router';

@Component({
    selector: 'b2access-login',
    templateUrl: './b2access-login.component.html',
})
export class B2AccessLoginComponent implements OnInit {

    constructor(
        private router: Router,
        private route: ActivatedRoute,
        private loginService: LoginService
    ) {

    }

    ngOnInit(): void {
        this.route.queryParams.subscribe((data: any) => {
            if (!data["code"]) this.loginService.b2AccessGetAuthCode()
            else this.loginService.b2AccessLogin(data["code"])
        })
    }

}